Package Details: qt6-base-git 6.0.0_r58826.g6fa2ee7f4a-1

Git Clone URL: https://aur.archlinux.org/qt6-base-git.git (read-only, click to copy)
Package Base: qt6-base-git
Description: A cross-platform application and UI framework
Upstream URL: https://www.qt.io
Licenses: custom, GPL3, LGPL3, FDL
Groups: qt6
Conflicts: qt6-base
Provides: qt6-base
Submitter: arojas
Maintainer: IslandC0der
Last Packager: IslandC0der
Votes: 1
Popularity: 0.000000
First Submitted: 2020-02-29 09:48 (UTC)
Last Updated: 2022-11-14 23:51 (UTC)

Required by (937)

Sources (1)

Latest Comments

Ashark commented on 2023-09-09 09:17 (UTC)

Please fix this line:

install -Dm644 qtbase/LICENSE* -t "$pkgdir"/usr/share/licenses/$pkgbase

Martchus commented on 2020-10-06 21:50 (UTC) (edited on 2020-10-06 21:50 (UTC) by Martchus)

I've just pushed qt6-* packages for the alpha to the AUR and now I see you've already added them to KDE unstable. You're really quick although it is a bit unfortunate that we've duplicated our effort. I guess I can go on with the mingw-w64-qt6-* and android-*-qt6 packages then :-)

arojas commented on 2020-09-19 10:32 (UTC)

OK, figured out this is caused by brotli support. I've removed the dependency for now, make sure to either build in a clean chroot or uninstall brotli before trying again.

arojas commented on 2020-09-19 09:19 (UTC)

ugh that's odd. Even the latest commit I built a couple of weeks ago fails now.

petrkr commented on 2020-09-18 13:20 (UTC)

problem with build

[ 31%] Linking CXX shared library ../../lib/libQt6Network.so
Generating version linker script
c++: error: unrecognized command-line option ‘-R’
make[2]: *** [src/network/CMakeFiles/Network.dir/build.make:1646: lib/libQt6Network.so.6.0.0] Error 1
make[1]: *** [CMakeFiles/Makefile2:3781: src/network/CMakeFiles/Network.dir/all] Error 2
make: *** [Makefile:160: all] Error 2
==> ERROR: A failure occurred in build().